Talk:Installation/Linux/OpenFOAM-2.3.1/Fedora

From OpenFOAMWiki

Just to let you know that by simply exchanging 2.3.0 by 2.3.1 in the following link: https://openfoamwiki.net/index.php/Installation/Linux/OpenFOAM-2.3.0/Fedora I was able to compile a fully functional OpenFOAM 2.3.1 on my Fedora 20 virtual testbox. Also Paraview 4.1.0 (Third Party) works fine. Quite happy with that.

Unfortunately, it is not the case on the recent Fedora 21 versions. The main culprit seems to be the new cmake 3.0.2 compiler not finding all sorts of missing libraries. With the previous cmake 2.8.12.2 there was no problem. The default 'Development Tools' , 'C development tools and libraries' and 'openmpi, openmpi-devel ... ' don't seem sufficient for cmake 3.0.2 in Fedora 21, which keeps complaining about things not found or failed tests. Any ideas welcome.

Talder (Tom Alderweireldt)

Contents

Thread titleRepliesLast modified
Regarding problems with installing OpenFOAM 2.3.1 on Fedora 21014:09, 26 December 2014

Regarding problems with installing OpenFOAM 2.3.1 on Fedora 21

The instructions are now written and tested: Installation/Linux/OpenFOAM-2.3.1/Fedora#Fedora_21

Wyldckat (talk)14:09, 26 December 2014